using System.Globalization;
using Xamarin.Forms;

namespace Pixiview.Utils
{
    public interface IEnvironmentService
    {
        EnvironmentParameter GetEnvironment();

        Theme GetApplicationTheme();
        void SetStatusBarStyle(StatusBarStyles style);
        void SetStatusBarColor(Color color);

        CultureInfo GetCurrentCultureInfo();
        void SetCultureInfo(CultureInfo ci);
    }

    public class EnvironmentParameter
    {
        public string IconLightFontFamily { get; set; }
        public string IconRegularFontFamily { get; set; }
        public string IconSolidFontFamily { get; set; }
        public string IconLeft { get; set; }
    }

    public enum Theme
    {
        Light,
        Dark
    }
}
